Get product reviews
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBest Buy endpoints
Get product reviews
Get product reviews.
GET
/
v1
/
bestbuy
/
products
/
{sku}
/
reviews
Get product reviews
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/products/{sku}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet product reviews.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Best Buy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Sku.
integer
default:"1"
Page. Minimum: 1. Maximum: 1000.
integer
default:"10"
Page size. Minimum: 1. Maximum: 20.
string
default:"MOST_RECENT"
Sort. Allowed values:
MOST_RECENT, BEST_REVIEW, MOST_HELPFUL, OLDEST, HIGHEST_RATING, LOWEST_RATING.Response
{
"reviews": [
{
"id": "65672b9b-37fb-3a6d-b026-3abb4fade5a3",
"title": "Great laptop",
"text": "Great laptop for a great price! It runs well and didn’t give me any issues. The only thing I would change about it is giving it a touch screen and allowing the screen to bend all the way back",
"rating": 5.0,
"author": "BENM",
"submitted_at": "2026-10-16T20:41:34Z",
"submitted_utc": 1792183294.0,
"recommended": true,
"verified_purchase": true,
"helpful_count": 0,
"unhelpful_count": 0,
"photos": [],
"badges": [
{
"badgeCode": "Incentivized",
"badgeDescription": "This reviewer received promo considerations or sweepstakes entry for writing a review.",
"badgeName": "Incentivized",
"badgeType": "Custom",
"fileName": null,
"iconText": null,
"iconPath": null,
"index": 90900
}
]
}
],
"total_results": 106,
"page": 1,
"total_pages": 11,
"statistics": {
"sku": "6668412",
"verifiedPurchaseCount": 105,
"distribution": [
{
"value": 5,
"count": 80,
"actualPercent": "75.47169811320755",
"roundedPercent": 75
}
],
"prosDistribution": [
{
"value": "Overall Performance",
"count": 65,
"actualPercent": "63.10679611650485",
"roundedPercent": 63
}
],
"consDistribution": [
{
"value": "Connectivity",
"count": 2,
"actualPercent": 20,
"roundedPercent": 20
}
],
"overallStats": {
"averageOverallRating": 4.6,
"overallDistributions": [
{
"value": 5,
"count": 80,
"actualPercent": "75.47169811320755",
"roundedPercent": 75
}
],
"overallProsDistributions": [
{
"value": "Overall Performance",
"count": 65,
"actualPercent": "63.10679611650485",
"roundedPercent": 63
}
],
"overallConsDistributions": [
{
"value": "Connectivity",
"count": 2,
"actualPercent": 20,
"roundedPercent": 20
}
],
"totalReviewCount": 106,
"recommendedPercent": 92,
"topRated": true
}
},
"sort_options": [
{
"displayName": "Most relevant",
"value": "BEST_REVIEW"
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/bestbuy/products/6668412/reviews' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'page=1' \
--data-urlencode 'page_size=10' \
--data-urlencode 'sort=MOST_RECENT'

